curl --request GET \
--url https://api.decodahealth.com/email/threads \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <api-key>'import requests
url = "https://api.decodahealth.com/email/threads"
headers = {
"TENANT": "<api-key>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<api-key>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/email/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"subject": "<string>",
"snippet": "<string>",
"isRead": true,
"isStarred": true,
"isArchived": true,
"firstMessageDate": "2023-11-07T05:31:56Z",
"lastMessageDate": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"messageCount": 0,
"fromContact": {
"id": "<string>",
"email": "<string>",
"displayName": "<string>",
"contactType": "EXTERNAL",
"patientIds": [
"<string>"
],
"patients": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"toContacts": [],
"sentBy": {
"id": "<string>",
"name": "<string>"
},
"lastMessageDirection": "INBOUND",
"awaitingReply": false,
"hasAttachments": false,
"primaryPatientId": "<string>",
"openCount": 0,
"clickCount": 0,
"lastOpenedDate": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"nextCursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Threads
List email threads for the current user with cursor-based pagination.
Supports virtual folders:
- inbox: Non-archived, non-draft threads
- sent: Outbound threads
- drafts: Draft messages
- starred: Starred threads
- archived: Archived threads
- all: All threads (includes system emails if user has read_all permission)
If include_all_system_emails is True and the user has the messaging:emails:read_all permission, all system emails will be included regardless of who sent them.
For the “all” folder, system emails are automatically included if the user has the permission.
Authorizations
The tenant you are making this request on behalf of
Your api key
Query Parameters
Virtual folder to filter by
INBOX, SENT, DRAFTS, STARRED, ARCHIVED, ALL 1 <= x <= 100Cursor for pagination
Search in subject and snippet
Include all system emails (requires messaging:emails:read_all permission)
Thread scope: provider for current-user threads, clinic for the shared tenant mailbox
provider, clinic Triage lens: unread OR awaiting-reply OR starred
Only unread threads
Only starred threads
Only threads linked to a patient
Only threads with an attachment
By-patient lens: section threads by linked patient (implies has_patient)

